routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('user', 'User\UserController');


//Route::resource('almacen','Almacen\AlmacenController');

Route::get('almacen/{almacen}','Almacen\AlmacenController@destroy')->name('almacen.destroy');
Route::post('almacen','Almacen\AlmacenController@store')->name('almacen.store');
Route::get('almacen','Almacen\AlmacenController@create')->name('almacen.create');
	

Route::resource('product', 'Producto\ProductoController');

Route::resource('orden-compra', 'OrdenCompraController');
Route::get('orden/generate/{product}','OrdenCompraController@showOrder')->name('orden-compra.generate');
Route::get('orden/list/{product}','OrdenCompraController@listOrders')->name('orden-compra.list');
Route::get('orden/{order}','OrdenCompraController@destroy')->name('orden.destroy');



Route::resource('orden-venta', 'OrdenVentaController');
Route::get('venta/generate/{product}','OrdenVentaController@showOrder')->name('orden-venta.generate');
Route::get('venta/list/{product}','OrdenVentaController@listOrders')->name('orden-venta.list');
Route::get('venta/{order}','OrdenVentaController@destroy')->name('venta.destroy');


Route::get('kardex/{product}','OrdenVentaController@generateKardex')->name('generate.kardex');


//Route::resource('orden-venta', 'OrdenVentaController');

resources/views/compra/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Registrar Orden de Compra') }}</div>
                <div class="card-body">
                    <form method="POST" action="{{ route('orden-compra.store') }}">
                        @csrf
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Nombre del Producto') }}</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ $product->name }}" required autocomplete="name" autofocus readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Codigo') }}</label>

                            <div class="col-md-6">
                                <input id="codigo" type="text" class="form-control" name="codigo" value="{{ $product->id }}" required autocomplete="name" autofocus readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Costo S/.') }}</label>

                            <div class="col-md-6">
                                <input id="costo" type="number" class="form-control" name="costo" required autocomplete="name" autofocus step="any"  >
                            </div>
                        </div>

                           <div class="form-group row">
                            <label for="cantidad" class="col-md-4 col-form-label text-md-right">{{ __('Cantidad') }}</label>

                            <div class="col-md-6">
                                <input id="cantidad" type="number" class="form-control" name="cantidad" required autocomplete="name" autofocus  >
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Fecha de Registro') }}</label>
                            <div class="col-md-6">
                                <input id="fec_vencimiento" type="datetime" class="form-control" name="fec_vencimiento"  value="{{$product->fec_vencimiento}}" required  readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Fecha de Compra ') }}</label>
                            <div class="col-md-6">
                                <input id="fec_compra" type="date" class="form-control" name="fec_compra"  required >
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="inputState"  class="col-md-4 col-form-label text-md-right">Proveedor</label>
                            <div class="col-md-6">                              
                               <select id="proveedor" name="proveedor" class="form-control">
                                <option selected>Selecciona una opcion ...</option>
                                <option value="Proveedor1">Proveedor 1</option>
                                <option value="Proveedor1">Proveedor 2</option>
                                <option value="Proveedor1">Proveedor 3</option>
                            </select>
                        </div>
                    </div>           

                    <div class="form-group row mb-0">
                        <div class="col-md-6 offset-md-4">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Registrar Compra') }}
                            </button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>
</div>
@endsection

resources/views/compra/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
  <div class="row justify-content-center">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="float-left">
            <h5> Historial de  <b class="text-primary">Orden de Compras</b></h5>
          </div>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped table-hover">
              <thead>
                <tr>
                  <th width="10px">ID</th>
                  <th>Nombre</th>
                  <th>Cantidad</th>
                  <th>Costo</th>
                  <th>Fecha de Compra</th>
                  <th>Proveedor</th>
                  <th colspan="1"> &nbsp</th>
                </tr>
              </thead>

              <tbody>
                @foreach($listOrders as $order)
                <tr>
                  <td>{{$order->id}}</td>
                  <td>{{$order->name}}</td>
                  <td>{{$order->cantidad}}</td>
                  <td>{{$order->costo}}</td>
                  <th>{{$order->fec_compra}}</th>
                  <td>{{$order->proveedor}}</td>

                  <td>
                    <a onclick="return confirm('Estas seguro de eliminarlo??')"  href="{{route('orden.destroy', $order->id)}}" class="btn btn-sm btn-danger">Eliminar orden Compra</a>
                  </td>

                </tr>
                @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection